
(function ($, window, document) {
    'use strict';


    $.fn.reemplazarDinamico = function(elemento) {
        var clases = elemento.attr('class').split(' ');
        var clase = '';
        var valor = elemento.val();
        for (var i = 0; i < clases.length; i++)
        {
            if (clases[i].slice(0,11) === 'reemplazar-')
            {
                clase = clases[i];
            }
        }

        $('span.' + clase).text(valor);
    }


    $('input[class*="reemplazar-"]').on("keyup change", function (event) {
        $.fn.reemplazarDinamico($(this));
    });

    $(window).on("load", function (e) {
        $('input[class*="reemplazar-"]').trigger('keyup');
    });



})(jQuery, window, document);
